List Hub Connectors
curl --request GET \
--url https://platform.versori.com/api/embedded/v1/integrations/{integration_id}/connection-templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.versori.com/api/embedded/v1/integrations/{integration_id}/connection-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.versori.com/api/embedded/v1/integrations/{integration_id}/connection-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 123,
"connectionTemplates": [
{
"id": "<string>",
"connectorId": "<string>",
"imageUrl": "<string>",
"name": "<string>",
"isUsed": true,
"isPrimary": true,
"authSchemeConfig": {
"id": "<string>",
"description": "<string>",
"schemeType": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
}
}
],
"next": "<string>",
"prev": "<string>"
}{
"code": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": "<string>"
}Connectors
List Hub Connectors
ListIntegrationConnectors returns all the Hub Connectors for the given Integration.
This API should not be exposed to End Users via the embedded UI since it includes connectors which have not been published.
GET
/
integrations
/
{integration_id}
/
connection-templates
List Hub Connectors
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I